Loading...
Searching...
No Matches
L4virtio::Svr::Console::Control_message Struct Reference

Virtio console control message. More...

`#include <virtio-console>`

Collaboration diagram for L4virtio::Svr::Console::Control_message:

## Public Types

enum | Events { Device_ready = 0 , Device_add = 1 , Device_remove = 2 , Port_ready = 3 , Console_port = 4 , Resize = 5 , Port_open = 6 , Port_name = 7 }
| Possible control events. More...

## Data Fields

l4_uint32_t | id
| Port number.
l4_uint16_t | event
| Control event, see Events.
l4_uint16_t | value
| Extra information.

## Detailed Description

Virtio console control message.

Definition at line 31 of file virtio-console.

## Member Enumeration Documentation

## Events

enum L4virtio::Svr::Console::Control_message::Events

Possible control events.

Enumerator
Device_ready | Sent by driver at initialization.
Device_add | Sent by device to create new ports.
Device_remove | Sent by device to remove added ports.
Port_ready | Sent by driver as response to Device_add.
Console_port | Sent by device to nominate port as console port.
Resize | Sent by device to indicate a console size change.
Port_open | Sent by device and driver to indicate whether a port is open.
Port_name | Sent by device to tag a port.

Definition at line 34 of file virtio-console.

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio-console